/// This file contains the names of all of the json field names as they appear
/// in Philip Hue's code.
///
/// This is done to prevent typos in code. By referring to these constant
/// strings, there won't be a chance of misspelling any of the names in other
/// parts of the code. This also allows for name changes on Philips Hue's side
/// without having to change the name in several places in the code here.
class ApiFields {
  static const String accessToken = "access_token";

  static const String action = "action";

  static const String actions = "actions";

  static const String actionType = "action_type";

  static const String actionValues = "action_values";

  static const String active = "active";

  static const String activeStreamer = "active_streamer";

  static const String activeTimeslot = "active_timeslot";

  static const String alert = "alert";

  static const String applicationKey = "application_key";

  static const String archetype = "archetype";

  static const String autoDynamic = "auto_dynamic";

  static const String batteryLevel = "battery_level";

  static const String batteryState = "battery_state";

  static const String blue = "blue";

  static const String bridgeId = "bridge_id";

  static const String brightness = "brightness";

  static const String brightnessDelta = "brightness_delta";

  static const String button = "button";

  static const String category = "category";

  static const String channelId = "channel_id";

  static const String channels = "channels";

  static const String children = "children";

  static const String clientId = "client_id";

  static const String code = "code";

  static const String codeChallenge = "code_challenge";

  static const String codeChallengeMethod = "code_challenge_method";

  static const String color = "color";

  static const String colorTemperature = "color_temperature";

  static const String colorTemperatureDelta = "color_temperature_delta";

  static const String configuration = "configuration";

  static const String configurationSchema = "configuration_schema";

  static const String configurationType = "configuration_type";

  static const String controlId = "control_id";

  static const String creationTime = "creation_time";

  static const String data = "data";

  static const String dependees = "dependees";

  static const String description = "description";

  static const String deviceId = "deviceid";

  static const String deviceName = "devicename";

  static const String deviceType = "devicetype";

  static const String dimming = "dimming";

  static const String dimmingDelta = "dimming_delta";

  static const String direction = "direction";

  static const String duration = "duration";

  static const String dynamics = "dynamics";

  static const String effect = "effect";

  static const String effects = "effects";

  static const String effectValues = "effect_values";

  static const String equalizationFactor = "equalization_factor";

  static const String error = "error";

  static const String errors = "errors";

  static const String estimatedEnd = "estimated_end";

  static const String expiresIn = "expires_in";

  static const String expirationDate = "expiration_date";

  static const String fabricData = "fabric_data";

  static const String fixedMired = "fixed_mired";

  static const String gamut = "gamut";

  static const String gamutType = "gamut_type";

  static const String gradient = "gradient";

  static const String green = "green";

  static const String group = "group";

  static const String hardwarePlatformType = "hardware_platform_type";

  static const String hasQrCode = "has_qr_code";

  static const String hour = "hour";

  static const String id = "id";

  static const String identify = "identify";

  static const String idV1 = "id_v1";

  static const String image = "image";

  static const String index = "index";

  static const String installCodes = "install_codes";

  static const String ipAddress = "ip_address";

  static const String isAtHome = "is_at_home";

  static const String isCertified = "certified";

  static const String isConfigurable = "configurable";

  static const String isConfigured = "configured";

  static const String isEnabled = "enabled";

  static const String isEqualizer = "equalizer";

  static const String isProxy = "proxy";

  static const String isRenderer = "renderer";

  static const String isOn = "on";

  static const String kind = "kind";

  static const String label = "label";

  static const String lastError = "last_error";

  static const String lastEvent = "last_event";

  static const String latitude = "latitude";

  static const String length = "length";

  static const String level = "level";

  static const String light = "light";

  static const String lightLevel = "light_level";

  static const String lightLevelValid = "light_level_valid";

  static const String lightServices = "light_services";

  static const String locations = "locations";

  static const String longitude = "longitude";

  static const String macAddress = "mac_address";

  static const String manufacturerName = "manufacturer_name";

  static const String maxFabrics = "max_fabrics";

  static const String maxNumberInstances = "max_number_instances";

  static const String maxSegments = "max_segments";

  static const String maxStreams = "max_streams";

  static const String members = "members";

  static const String metadata = "metadata";

  static const String migratedFrom = "migrated_from";

  static const String minDimLevel = "min_dim_level";

  static const String minute = "minute";

  static const String mirek = "mirek";

  static const String mirekDelta = "mirek_delta";

  static const String mirekMaximum = "mirek_maximum";

  static const String mirekMinimum = "mirek_minimum";

  static const String mirekSchema = "mirek_schema";

  static const String mirekValid = "mirek_valid";

  static const String mode = "mode";

  static const String modelId = "model_id";

  static const String modeValues = "mode_values";

  static const String motion = "motion";

  static const String motionValid = "motion_valid";

  static const String name = "name";

  static const String node = "node";

  static const String owner = "owner";

  static const String palette = "palette";

  static const String pixelCount = "pixel_count";

  static const String pkce = "pkce";

  static const String points = "points";

  static const String pointsCapable = "points_capable";

  static const String position = "position";

  static const String positions = "positions";

  static const String powerUp = "powerup";

  static const String powerState = "power_state";

  static const String preset = "preset";

  static const String productArchetype = "product_archetype";

  static const String productData = "product_data";

  static const String productName = "product_name";

  static const String recall = "recall";

  static const String recurrence = "recurrence";

  static const String red = "red";

  static const String redirectUri = "redirect_uri";

  static const String refreshToken = "refresh_token";

  static const String relativeRotary = "relative_rotary";

  static const String responseType = "response_type";

  static const String rid = "rid";

  static const String rotation = "rotation";

  static const String rType = "rtype";

  static const String scriptId = "script_id";

  static const String second = "second";

  static const String service = "service";

  static const String serviceLocations = "service_locations";

  static const String services = "services";

  static const String searchCodes = "search_codes";

  static const String segments = "segments";

  static const String signal = "signal";

  static const String signalValues = "signal_values";

  static const String signaling = "signaling";

  static const String softwareVersion = "software_version";

  static const String sourceId = "source_id";

  static const String speed = "speed";

  static const String speedValid = "speed_valid";

  static const String start = "start";

  static const String startTime = "start_time";

  static const String state = "state";

  static const String stateSchema = "state_schema";

  static const String status = "status";

  static const String statusValues = "status_values";

  static const String steps = "steps";

  static const String streamProxy = "stream_proxy";

  static const String success = "success";

  static const String supportedFeatures = "supported_features";

  static const String target = "target";

  static const String temperature = "temperature";

  static const String temperatureValid = "temperature_valid";

  static const String time = "time";

  static const String timedEffects = "timed_effects";

  static const String timeslotId = "timeslot_id";

  static const String timeslots = "timeslots";

  static const String timeZone = "time_zone";

  static const String tokenType = "token_type";

  static const String trigger = "trigger";

  static const String triggerSchema = "trigger_schema";

  static const String type = "type";

  static const String username = "username";

  static const String vendorId = "vendor_id";

  static const String version = "version";

  static const String weekday = "weekday";

  static const String weekTimeslots = "week_timeslots";

  static const String x = "x";

  static const String xy = "xy";

  static const String y = "y";

  static const String z = "z";
}
